org.eclipse.eef.properties.ui.api

## Class AbstractEEFPropertySection

- java.lang.Object
- - org.eclipse.eef.properties.ui.api.AbstractEEFSection
  - - org.eclipse.eef.properties.ui.api.AbstractEEFPropertySection

All Implemented Interfaces:
  IEEFSection

    public abstract class AbstractEEFPropertySection
    extends AbstractEEFSection

An abstract implementation of a section in a tab in the tabbed property sheet page.

Since:
  1.6.0

### Field Summary

### Fields inherited from class org.eclipse.eef.properties.ui.api.AbstractEEFSection

`STANDARD_LABEL_WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`AbstractEEFPropertySection()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControls(org.eclipse.swt.widgets.Composite parent, EEFTabbedPropertySheetPage aTabbedPropertySheetPage)` Creates the controls for the section.
`org.eclipse.ui.IWorkbenchPart` `getPart()` Get the current workbench part.
`org.eclipse.jface.viewers.ISelection` `getSelection()` Get the current workbench selection.
`EEFWidgetFactory` `getWidgetFactory()` Get the widget factory for the property sheet page.
`void` `setInput(org.eclipse.ui.IWorkbenchPart workbenchPart, org.eclipse.jface.viewers.ISelection currentSelection)` Notifies the section that the workbench selection has changed.

### Methods inherited from class org.eclipse.eef.properties.ui.api.AbstractEEFSection

`aboutToBeHidden, aboutToBeShown, dispose, getMinimumHeight, refresh, shouldUseExtraSpace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractEEFPropertySection

    public AbstractEEFPropertySection()

### Method Detail

#### getWidgetFactory

    public EEFWidgetFactory getWidgetFactory()

Get the widget factory for the property sheet page.

Returns:
  the widget factory.

#### getSelection

    public org.eclipse.jface.viewers.ISelection getSelection()

Get the current workbench selection.

Returns:
  the current workbench selection.

#### getPart

    public org.eclipse.ui.IWorkbenchPart getPart()

Get the current workbench part.

Returns:
  Returns the part.

#### createControls

    public void createControls(org.eclipse.swt.widgets.Composite parent,
                               EEFTabbedPropertySheetPage aTabbedPropertySheetPage)

Creates the controls for the section.

Clients should take advantage of the widget factory provided by the framework to achieve a common look between property sections.

Specified by:
  `createControls` in interface `IEEFSection`
Overrides:
  `createControls` in class `AbstractEEFSection`
Parameters:
  `parent` - the parent composite for the section.
  `aTabbedPropertySheetPage` - the tabbed property sheet page.
See Also:
  `IEEFSection.createControls(org.eclipse.swt.widgets.Composite, org.eclipse.eef.properties.ui.api.EEFTabbedPropertySheetPage)`

#### setInput

    public void setInput(org.eclipse.ui.IWorkbenchPart workbenchPart,
                         org.eclipse.jface.viewers.ISelection currentSelection)

Notifies the section that the workbench selection has changed.

Specified by:
  `setInput` in interface `IEEFSection`
Overrides:
  `setInput` in class `AbstractEEFSection`
Parameters:
  `workbenchPart` - The active workbench part.
  `currentSelection` - The active selection in the workbench part.
See Also:
  `IEEFSection.setInput(org.eclipse.ui.IWorkbenchPart, org.eclipse.jface.viewers.ISelection)`